質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.49%

  • Python 2.7

    1268questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

WiondowsnoPythonでデプロイする設定をしたらエラーが出てしまう

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 749

kasaburanka

score 128

お世話になります。
Win10を使っています。Pyinstallerライブラリからexeファイルを作成するにあたってPyInstaller-3.2.1.tar.bz2からソースコードをダウンロードして下記を実行しました
python \C:\Users\mtg-1\PyInstaller-3.2.1\PyInstaller\Configure.py → [Errno 22] Invalid argument

このようにエラーが出てしまいます。
Pyinstallerの中にはconfigure.pyは存在しています
どこが間違っているのでしょうか?

この後にも--------------------------------------------

作成したPyQtアプリのソースファイル(myqtapp.py)から設定情報を抽出
python \C:\Users\mtg-1\PyInstaller-3.2.1\PyInstaller\Makespec.py --onefile myqqtapp.py

するとSpecファイル(myqtapp.stec)が作成される。このファイルを以下のようにビルドすることにより実行ファイルが作成される

python \C:\Users\mtg-1\PyInstaller-3.2.1\PyInstaller\Build.py myqtapp.spec

このように続きますが最初にエラーが出て次に進めません
ちなみにPython入門[2&3対応]P445に記載されています

よろしくお願いいたします。ほかのやり方でやればexeは作れますがこの書籍でなぜエラーが出るのかが知りたいです。よろしくお願いいたします

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

質問文は「WiondowsnoPythonでデプロイする設定をしたらエラーが出てしまう」ですが、

ほかのやり方でやればexeは作れますがこの書籍でなぜエラーが出るのかが知りたいです。

本当の質問は「書籍の方法でPyInstallerを実行時に実行エラーが発生する原因を知りたい」と判断しました。

よって回答としては
正確な答えを知っているのは本の筆者もしくは出版社なので、出版社に問い合わせするのが一番です。

推測でいいなら、書籍の執筆時のライブラリのバージョンでは動作したのではないのでしょうか。
書籍に使用ライブラリのバージョン表記はありませんか?

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/03/18 14:04

    ありがとうございます。ライブラリのバージョンは示されていません。秀和システムにも問い合わせていますが返事はまだありません。2010年に発刊されているのでバージョンの違いかもしれません。
    http://qiita.com/kounoike/items/128f3294362a229005d7このサイトで試すとできましたが”書籍の方法でPyInstallerを実行時に実行エラーが発生する原因を知りたい”その通りです。原因を知ることでいろいろわからなかったことあるいは見えていなかったことが見えるようになりますので質問させていただきました

    キャンセル

0

まず、エラーの内容が見当たらないため、推測になります。
PyInstallerはPython3.6に対応していませんので、3.6を使っているなら3.5にすべきです。

Python3.5でも、PyInstallerとPyQt5でexe化するとfailed to execute script pyi_rth_qt5pluginsという
エラーが出る場合があります。

解決策はPyInstallerのイシューにあります。

https://github.com/pyinstaller/pyinstaller/issues/2402

内容をざっくり説明すると、PyInstallerがPyQtのパスを見つける事に失敗しています。
ですので、specファイルにパスを追加すれば解決します。
なお、PyInstallerの-pオプションでパスを指定はできますが、動的にパスを取得できるPyInstallerのイシューの解決方法の方がよいでしょう。

PyInstaller関連のエラーですが、殆どのトラブルはPyInstallerの出力ログでエラーを吐いています。
まずはログにエラーや警告がないかを調べるとよいでしょう。
(そのような事がPyInstallerのマニュアルに書かれています)

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/05/11 17:12

    ありがとうございます。
    ご指導いただいた内容でトライしてみます。
    とりあえずPyQt4を試しました。うまくいきましたがまだPyQt5にはチャレンジしていません

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.49%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Python 2.7

    1268questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。